Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.spring
Class TypeSpecifyableTransactionProxyFactoryBean

    java.lang.Object
      org.springframework.aop.framework.ProxyConfig
          org.springframework.aop.framework.AbstractSingletonProxyFactoryBean
              org.springframework.transaction.interceptor.TransactionProxyFactoryBean
                  org.codehaus.groovy.grails.commons.spring.TypeSpecifyableTransactionProxyFactoryBean

All Implemented Interfaces:
  Serializable, BeanClassLoaderAware, BeanFactoryAware, FactoryBean<Object>, InitializingBean

    public class TypeSpecifyableTransactionProxyFactoryBean

extends TransactionProxyFactoryBean
implements FactoryBean<Object>

Allows the type of the underlying object to be specified explicitly. This is used when creating scoped proxies of transactional proxies of services. The scoped proxy needs to know that type of the object before the transactional proxy factory has instantiated the underlying service and is able to determine it's class. This class allows the type to be explicitly specified.

See Also:
  `org.codehaus.groovy.grails.plugins.services.ServicesGrailsPlugin`, Serialized Form

Constructor Summary
`TypeSpecifyableTransactionProxyFactoryBean(Class<?> type)`

Method Summary
`Class<?>` | `getObjectType()`

Methods inherited from class org.springframework.transaction.interceptor.TransactionProxyFactoryBean
`createMainInterceptor, setBeanFactory, setPointcut, setTransactionAttributes, setTransactionAttributeSource, setTransactionManager`

Methods inherited from class org.springframework.aop.framework.AbstractSingletonProxyFactoryBean
`afterPropertiesSet, createTargetSource, getObject, isSingleton, setAdvisorAdapterRegistry, setBeanClassLoader, setPostInterceptors, setPreInterceptors, setProxyClassLoader, setProxyInterfaces, setTarget`

Methods inherited from class org.springframework.aop.framework.ProxyConfig
`copyFrom, isExposeProxy, isFrozen, isOpaque, isOptimize, isProxyTargetClass, setExposeProxy, setFrozen, setOpaque, setOptimize, setProxyTargetClass, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.FactoryBean
`getObject, isSingleton`

Constructor Detail

### TypeSpecifyableTransactionProxyFactoryBean

    public TypeSpecifyableTransactionProxyFactoryBean(Class<?> type)

Method Detail

### getObjectType

    public Class<?> getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean<Object>`
  Overrides:
    `getObjectType` in class `AbstractSingletonProxyFactoryBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD